SIMATIC S7 MatLab Toolbox

Public Types | List of all members
PlcDeviceConnectionState Class Reference

Defines the states in which a PlcDeviceConnection can exist. More...

Inheritance diagram for PlcDeviceConnectionState:

## Public Types
enum | PlcDeviceConnectionState { Created =(0) , Opening =(1) , Opened =(2) , Connecting =(3) , Connected =(4) , Disconnected =(5) , Faulted =(6) , Closing =(7) , Closed =(8) }
| The definition of the PlcDeviceConnectionState enumeration. More...

## Detailed Description

Defines the states in which a PlcDeviceConnection can exist.

## Member Enumeration Documentation

## ◆ PlcDeviceConnectionState

enum PlcDeviceConnectionState::PlcDeviceConnectionState

The definition of the PlcDeviceConnectionState enumeration.

Enumerator
Created | Indicates that the connection has been instantiated and is configurable, but not yet open or ready for use.
Opening | Indicates that the connection is being transitioned from the Created state to the Opened state. During this state does the connection try to establish a connection to a device.
Opened | Indicates that the connection is now open and ready to be used, because of the successfully established connection to a device.
Connecting | Indicates that the connection is being transitioned from the Opened state to the Connected state. During this state does the connection try to fully establish a connection to a device.
Connected | Indicates that the connection is now fully established to a device.
Disconnected | Indicates that a previously fully established connection or an attempt to connect to a device has been broken/failed.
Faulted | Indicates that the connection has encountered an error or fault from which it cannot recover and from which it is no longer usable.
Closing | Indicates that the connection is transitioning to the Closed state. During this state does the connection try to close an previously opened connection to a device.
Closed | Indicates that the connection has been closed to a device.

The documentation for this class was generated from the following file:

- PlcDeviceConnectionState.m